Subject: Re: bug#14958: 24.2; emacs --daemon crashing when X-frames are removed ungracefully

From: lee <[email-masked]>
Date: Sat, 27 Jul 2013 12:29:56 +0200

Glenn Morris <[email-masked]> writes:

> lee wrote:
>
>> In GNU Emacs 24.2.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.8.2)
>>  of 2013-07-15 on buildvm-18.phx2.fedoraproject.org
>
> It might help to use the lucid toolkit rather than GTK+.
> ./configure --with-x-toolkit=lucid
>
> Not sure if Fedora offers that as an alternative (like emacs-nox).

At least I don't find it in the packages.  They are strongly orientated
towards gnome, so I'm not surprised.

I pulled from bzr, compiled with lucid and made a test:  Started emacs
in daemon mode, left two frames open and exited fvwm which closes the X
session.

After that, the emacs daemon is unresponsive, i. e. 'emacsclient -nw'
doesn't do anything, and I can only kill the emacs process.

-- 
Debugger entered--Lisp error: (error "C-c C-c can do nothing useful at
this location")